Rygel.Plugin Reference Manual

# Plugin

## Object Hierarchy:

## Description:

public class Plugin : `ResourceFactory`

Represents a Rygel plugin. Plugins are supposed to provide an object of this class or a subclass.

Namespace: Rygel
Package: librygel-core

## Content:

### Properties:

- public `bool` active { set; get; }

### Creation methods:

- public Plugin (`string` desc_path, `string` name, `string`? title, `string`? description = null)

### Methods:

- public void add_resource (ResourceInfo resource_info)
- public void add_icon (IconInfo icon_info)
- public virtual void apply_hacks (RootDevice device, `string` description_path) throws `Error`

### Fields:

- public `string` name
- public `string` title
- public `string` description
- public `string` desc_path
- public `ArrayList`<ResourceInfo> resource_infos
- public `ArrayList`<IconInfo> icon_infos
- public `ArrayList`<IconInfo> default_icons